Package org.apache.tapestry5.internal.services

## Class StreamPageContentResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.StreamPageContentResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<StreamPageContent>`

      public class StreamPageContentResultProcessor
      extends java.lang.Object
      implements ComponentEventResultProcessor<StreamPageContent>

  Used to trigger the rendering of a particular page without causing a redirect to that page. The content of the page is just streamed to the client.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamPageContentResultProcessor​(PageRenderRequestHandler handler, ComponentClassResolver resolver, TypeCoercer typeCoercer, RequestGlobals requestGlobals, Request request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(StreamPageContent value)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamPageContentResultProcessor

          public StreamPageContentResultProcessor​(PageRenderRequestHandler handler,
                                                  ComponentClassResolver resolver,
                                                  TypeCoercer typeCoercer,
                                                  RequestGlobals requestGlobals,
                                                  Request request)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(StreamPageContent value)
                                  throws java.io.IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<StreamPageContent>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `java.io.IOException`